tt_initial_session(library call)

NAME
tt_initial_session — return the initial session identifier

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_initial_session(void)

DESCRIPTION

The tt_initial_session function returns the initial session identifier of the ttsession(1) with which the current process identifier is associated.

The current process identifier is obtained by calling tt_open(3).

RETURN VALUE

Upon successful completion, the tt_initial_session function returns the identifier for the current ToolTalk session. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned pointer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

APPLICATION USAGE

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_open(3), tt_ptr_error(3), tt_free(3).